diff --git a/assets/AssetManifest.bin b/assets/AssetManifest.bin
index 8fe7af5..8459b9e 100644
--- a/assets/AssetManifest.bin
+++ b/assets/AssetManifest.bin
@@ -1 +1 @@
-
2packages/cupertino_icons/assets/CupertinoIcons.ttf
asset2packages/cupertino_icons/assets/CupertinoIcons.ttf
\ No newline at end of file
+
assets/plate.png
assetassets/plate.png2packages/cupertino_icons/assets/CupertinoIcons.ttf
asset2packages/cupertino_icons/assets/CupertinoIcons.ttf
\ No newline at end of file
diff --git a/assets/AssetManifest.json b/assets/AssetManifest.json
index 03eaddf..99a1ce5 100644
--- a/assets/AssetManifest.json
+++ b/assets/AssetManifest.json
@@ -1 +1 @@
-{"packages/cupertino_icons/assets/CupertinoIcons.ttf":["packages/cupertino_icons/assets/CupertinoIcons.ttf"]}
\ No newline at end of file
+{"assets/plate.png":["assets/plate.png"],"packages/cupertino_icons/assets/CupertinoIcons.ttf":["packages/cupertino_icons/assets/CupertinoIcons.ttf"]}
\ No newline at end of file
diff --git a/assets/assets/plate.png b/assets/assets/plate.png
new file mode 100644
index 0000000..f49648e
Binary files /dev/null and b/assets/assets/plate.png differ
diff --git a/favicon.ico b/favicon.ico
new file mode 100644
index 0000000..66c875c
Binary files /dev/null and b/favicon.ico differ
diff --git a/favicon.png b/favicon.png
deleted file mode 100644
index 8aaa46a..0000000
Binary files a/favicon.png and /dev/null differ
diff --git a/flutter_service_worker.js b/flutter_service_worker.js
index 98015fc..60e4532 100644
--- a/flutter_service_worker.js
+++ b/flutter_service_worker.js
@@ -3,24 +3,24 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"assets/fonts/MaterialIcons-Regular.otf": "c439a80a2a2dd8cb0f794cd3b505ae93",
-"assets/AssetManifest.json": "2efbb41d7877d10aac9d091f58ccd7b9",
+const RESOURCES = {"assets/assets/plate.png": "89fc6540c9fa9a6b95e921d105f9314d",
+"assets/fonts/MaterialIcons-Regular.otf": "c439a80a2a2dd8cb0f794cd3b505ae93",
+"assets/AssetManifest.json": "9ff44bde92ce5b382a52a9273b1e50a7",
 "assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "89ed8f4e49bcdfc0b5bfc9b24591e347",
 "assets/shaders/ink_sparkle.frag": "f8b80e740d33eb157090be4e995febdf",
-"assets/AssetManifest.bin": "693635b5258fe5f1cda720cf224f158c",
+"assets/AssetManifest.bin": "51a3997f7d127f11e8d4740f23792d5a",
 "assets/FontManifest.json": "dc3d03800ccca4601324923c0b1d6d57",
 "assets/NOTICES": "2284881b9da9b594ef69159349e2f279",
 "version.json": "d7fbd41faace5a7a02bb5da13e6049ec",
-"manifest.json": "4da0b6aecc295155c81af286ea3dcba8",
-"index.html": "a4efab71b3c6bc766b4c845ba8b3fe16",
-"/": "a4efab71b3c6bc766b4c845ba8b3fe16",
-"favicon.png": "5dcef449791fa27946b3d35ad8803796",
+"favicon.ico": "b0081fee88cbaa5040c9fcbefec492d0",
+"manifest.json": "b0b50e1a888f808e9c1fd6973672afb8",
+"index.html": "a974ea527b5cb9fb9a37d5387bb8dd60",
+"/": "a974ea527b5cb9fb9a37d5387bb8dd60",
 "flutter.js": "6fef97aeca90b426343ba6c5c9dc5d4a",
-"icons/Icon-192.png": "ac9a721a12bbc803b44f645561ecb1e1",
-"icons/Icon-maskable-192.png": "c457ef57daa1d16f64b27b786ec2ea3c",
-"icons/Icon-512.png": "96e752610906ba2a93c65f8abe1645f1",
-"icons/Icon-maskable-512.png": "301a7604d45b3e739efc881eb04896ea",
-"main.dart.js": "f03282192da0c7e1bcd0ddd69c06a0a7",
+"icons/favicon-32x32.png": "f29044de098f84c5f908f405956ee3e8",
+"icons/favicon-96x96.png": "ff924a53b1eb62b512264433643a72f0",
+"icons/favicon-16x16.png": "3105c061fbd42cb0e18b09a000d97646",
+"main.dart.js": "9d8e73ed2f4da73c413a306d5ebe2b00",
 "canvaskit/canvaskit.wasm": "d9f69e0f428f695dc3d66b3a83a4aa8e",
 "canvaskit/skwasm.wasm": "d1fde2560be92c0b07ad9cf9acb10d05",
 "canvaskit/canvaskit.js": "5caccb235fad20e9b72ea6da5a0094e6",
diff --git a/icons/Icon-192.png b/icons/Icon-192.png
deleted file mode 100644
index b749bfe..0000000
Binary files a/icons/Icon-192.png and /dev/null differ
diff --git a/icons/Icon-512.png b/icons/Icon-512.png
deleted file mode 100644
index 88cfd48..0000000
Binary files a/icons/Icon-512.png and /dev/null differ
diff --git a/icons/Icon-maskable-192.png b/icons/Icon-maskable-192.png
deleted file mode 100644
index eb9b4d7..0000000
Binary files a/icons/Icon-maskable-192.png and /dev/null differ
diff --git a/icons/Icon-maskable-512.png b/icons/Icon-maskable-512.png
deleted file mode 100644
index d69c566..0000000
Binary files a/icons/Icon-maskable-512.png and /dev/null differ
diff --git a/icons/favicon-16x16.png b/icons/favicon-16x16.png
new file mode 100644
index 0000000..c6f829d
Binary files /dev/null and b/icons/favicon-16x16.png differ
diff --git a/icons/favicon-32x32.png b/icons/favicon-32x32.png
new file mode 100644
index 0000000..b720fd9
Binary files /dev/null and b/icons/favicon-32x32.png differ
diff --git a/icons/favicon-96x96.png b/icons/favicon-96x96.png
new file mode 100644
index 0000000..89691bb
Binary files /dev/null and b/icons/favicon-96x96.png differ
diff --git a/index.html b/index.html
index 328ef82..f354fda 100644
--- a/index.html
+++ b/index.html
@@ -1,5 +1,6 @@
 <!DOCTYPE html>
 <html>
+
 <head>
   <!--
     If you are serving your web app in a path other than the root, change the
@@ -23,32 +24,36 @@
   <!-- iOS meta tags & icons -->
   <meta name="apple-mobile-web-app-capable" content="yes">
   <meta name="apple-mobile-web-app-status-bar-style" content="black">
-  <meta name="apple-mobile-web-app-title" content="iiitb_menu">
-  <link rel="apple-touch-icon" href="icons/Icon-192.png">
+  <meta name="apple-mobile-web-app-title" content="IIITB Menu">
+  <link rel="apple-touch-icon" href="icons/favicon-96x96.png">
 
   <!-- Favicon -->
-  <link rel="icon" type="image/png" href="favicon.png"/>
+  <link rel="icon" type="image/ico" href="favicon.ico" />
 
   <title>iiitb_menu</title>
   <link rel="manifest" href="manifest.json">
 
   <script>
     // The value below is injected by flutter build, do not touch.
-    const serviceWorkerVersion = "340458155";
+    const serviceWorkerVersion = "783233517";
   </script>
   <!-- This script adds the flutter initialization JS code -->
   <script src="flutter.js" defer></script>
 </head>
+
 <body>
   <script>
-    window.addEventListener('load', function(ev) {
+    window.addEventListener('load', function (ev)
+    {
       // Download main.dart.js
       _flutter.loader.loadEntrypoint({
         serviceWorker: {
           serviceWorkerVersion: serviceWorkerVersion,
         },
-        onEntrypointLoaded: function(engineInitializer) {
-          engineInitializer.initializeEngine().then(function(appRunner) {
+        onEntrypointLoaded: function (engineInitializer)
+        {
+          engineInitializer.initializeEngine().then(function (appRunner)
+          {
             appRunner.runApp();
           });
         }
@@ -56,4 +61,5 @@
     });
   </script>
 </body>
-</html>
+
+</html>
\ No newline at end of file
diff --git a/main.dart.js b/main.dart.js
index c72d807..e20c86b 100644
--- a/main.dart.js
+++ b/main.dart.js
@@ -36196,7 +36196,7 @@ V3(a){var s,r=this,q=null
 r.a.toString
 s=r.ga0p()
 r.a.toString
-return new A.xf(q,q,q,new A.a6j(),q,q,q,q,q,B.AS,B.Fh,q,q,B.D_,r.ga0w(),"",q,B.Ku,B.eA,q,s,q,q,B.kJ,!1,!1,!1,!1,r.ga07(),!0,q,q,q,new A.iB(r,t.bT))},
+return new A.xf(q,q,q,new A.a6j(),q,q,q,q,q,B.AS,B.Fh,q,q,B.D_,r.ga0w(),"IIITB Menu",q,B.Ku,B.eA,q,s,q,q,B.kJ,!1,!1,!1,!1,r.ga07(),!0,q,q,q,new A.iB(r,t.bT))},
 I(a){var s,r=null,q=A.oB(!1,!1,this.V3(a),r,r,r,r,!0,r,r,new A.a6k(),r,r,r)
 this.a.toString
 s=this.d
diff --git a/manifest.json b/manifest.json
index f3d3b4a..83080a9 100644
--- a/manifest.json
+++ b/manifest.json
@@ -1,35 +1,28 @@
 {
-    "name": "iiitb_menu",
-    "short_name": "iiitb_menu",
+    "name": "IIITB Menu",
+    "short_name": "IIITB Menu",
     "start_url": ".",
     "display": "standalone",
     "background_color": "#0175C2",
     "theme_color": "#0175C2",
-    "description": "A new Flutter project.",
+    "description": "Bi-Weekly Menu.",
     "orientation": "portrait-primary",
     "prefer_related_applications": false,
     "icons": [
         {
-            "src": "icons/Icon-192.png",
-            "sizes": "192x192",
+            "src": "icons/favicon-16x16.png",
+            "sizes": "16x16",
             "type": "image/png"
         },
         {
-            "src": "icons/Icon-512.png",
-            "sizes": "512x512",
+            "src": "icons/favicon-32x32.png",
+            "sizes": "32x32",
             "type": "image/png"
         },
         {
-            "src": "icons/Icon-maskable-192.png",
-            "sizes": "192x192",
-            "type": "image/png",
-            "purpose": "maskable"
-        },
-        {
-            "src": "icons/Icon-maskable-512.png",
-            "sizes": "512x512",
-            "type": "image/png",
-            "purpose": "maskable"
+            "src": "icons/favicon-96x96.png",
+            "sizes": "96x96",
+            "type": "image/png"
         }
     ]
-}
+}
\ No newline at end of file
